<?php
require_once("../includes/bootstrap2.php");
if(isAjax()){
	
	$sesion=new sesion(); // inicio la sesion
	if(!comprobar_sesion()){
		$ar=array();
		$ar['error']='session';
		echo json_encode($ar);
		exit;
	}
	$permisos = str_split($sesion->get('permiso'));
if (!in_array("A", $permisos) && !in_array("M", $permisos) && !in_array("E", $permisos)) {
    $rta = array('error' => 10001, 'desc' => "No tiene permisos");
    echo json_encode($rta);
    exit;
}
	if($_SERVER['REQUEST_METHOD']=='POST'){
		$academia = bootstrap::initBd($sesion->get('anio'));
		
		$txt_abrcol=$academia->escapar($_POST['txt_abrcol']);
		$txt_danant=$academia->escapar($_POST['txt_danant']);
		$txt_danecol=$academia->escapar($_POST['txt_danecol']);
		$txt_deccol=$academia->escapar($_POST['txt_deccol']);
		$txt_icfes=$academia->escapar($_POST['txt_icfes']);
		$txt_nitcol=$academia->escapar($_POST['txt_nitcol']);
		$txt_nomcol=$academia->escapar($_POST['txt_nomcol']);
		$txt_rescol=$academia->escapar($_POST['txt_rescol']);
		$txtpiepagina=$_POST['txtpiepagina'];
		
		
		$sql="UPDATE adm_colegio
SET nombre = '$txt_nomcol', abreviatura = '$txt_abrcol', resolucion = '$txt_rescol', nit = '$txt_nitcol', icfes = '$txt_icfes', dane = '$txt_danecol',
  decreto = '$txt_deccol', educacion = '$txt_educacion', pie = '$txtpiepagina', dan_ant = '$txt_danant' ";

		
		
		if($sql!=''){
			$academia->instruccion($sql);
			$rta=array('error'=>$academia->extraer_error(),sql=>$sql);
			if($academia->extraer_error()==0){
				$dts=array(
					'nombre'=>$txt_nomcol,
					'abreviatura'=>$txt_abrcol,
					'resolucion'=>$txt_rescol,
					'icfes'=>$txt_icfes,
					'dane'=>$txt_danecol,
					'decreto'=>$txt_deccol,
					'educacion'=>$txt_educacion,
					'pie'=>$txtpiepagina,
					'dan_ant'=>$txt_danant,
				);
				$sesion->set('info_colegio',$dts);
			}
			echo json_encode($rta);
			
		}		
	}
	$academia->cerrar();
}
?>